Package owl.ltl.rewriter

## Enum SimplifierFactory.Mode

- java.lang.Object
- - java.lang.Enum<SimplifierFactory.Mode>
  - - owl.ltl.rewriter.SimplifierFactory.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<SimplifierFactory.Mode>`
  Enclosing class:
    SimplifierFactory

      public static enum SimplifierFactory.Mode
      extends Enum<SimplifierFactory.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NNF` |
    `NNF_LIGHT` |
    `PULL_UP_X` |
    `PUSH_DOWN_X` |
    `SYNTACTIC` |
    `SYNTACTIC_FAIRNESS` |
    `SYNTACTIC_FIXPOINT` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SimplifierFactory.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SimplifierFactory.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNTACTIC

          public static final SimplifierFactory.Mode SYNTACTIC

    - #### SYNTACTIC_FAIRNESS

          public static final SimplifierFactory.Mode SYNTACTIC_FAIRNESS

    - #### SYNTACTIC_FIXPOINT

          public static final SimplifierFactory.Mode SYNTACTIC_FIXPOINT

    - #### PULL_UP_X

          public static final SimplifierFactory.Mode PULL_UP_X

    - #### PUSH_DOWN_X

          public static final SimplifierFactory.Mode PUSH_DOWN_X

    - #### NNF

          public static final SimplifierFactory.Mode NNF

    - #### NNF_LIGHT

          public static final SimplifierFactory.Mode NNF_LIGHT

  - ### Method Detail

    - #### values

          public static SimplifierFactory.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimplifierFactory.Mode c : SimplifierFactory.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SimplifierFactory.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null